/*GENERALES*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Quicksand:wght@300..700&display=swap');

@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");


* {
  font-family: "Quicksand", sans-serif;
}

a {
    text-decoration: none;
}

body {
    overflow-x: hidden;
}



/*NAVBAR*/

.fondo-navbar {
    background-color: rgba(0, 0, 0, 0.1) !important; 
    backdrop-filter: blur(5px); 
    border: none;
    padding-top: 1%;
    padding-bottom: 1%;
}

.barras .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%2835, 34, 73, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
    width: 3em; 
    height: 3em;
}

.barras { 
    border: none !important; 
    background-color: transparent !important; 
    padding-left: 2%; 
    box-shadow: none !important;
    outline: none !important;
}

.logo {
    width: 160px;
    max-width: 180px;
    padding-right: 2%;
}

.offcanvas {
    background-color: rgba(255, 255, 255, 0.7) !important; 
    backdrop-filter: blur(10px); 
    width: 40% !important;
    height: 100vh;
    top: 0;
    left: 0;
    transition: transform 0.5s ease-in-out;
}

.offcanvas-header {
    display: flex;          
    justify-content: flex-start; 
    align-items: center;      
    padding: 3% 3%;       
    border-bottom: none;      
}

.offcanvas-body {         
    flex-direction: column;    
    justify-content: flex-end !important; 
    align-items: flex-end !important;    
    padding-bottom: 10%;
    padding-right: 12%;
}

.custom-nav-link.active {
    text-align: right !important; 
    width: 100% !important;
}

.custom-nav-link {
    color: #E41D20 !important; 
    font-size: 3.5rem; 
    padding: 1rem 0; 
    transition: color 0.3s ease; 
}

.custom-nav-link:hover,
.custom-nav-link.active {
    color: #232249 !important; 
}

.offcanvas-header .btn-close {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23E41D20'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") !important;
    font-size: 2.3rem;
    padding-left: 7%;
    margin: 0;
}

/*DROPDOWN*/

.offcanvas .dropdown-toggle::after {
    display: none !important;
}

.custom-submenu {
    list-style: none !important;
    border: none !important;
    box-shadow: none !important;
    text-align: right;
}

.submenu li{ 
    list-style: none !important;
    text-align: right !important;
    background-color: rgba(255, 255, 255, 0.7) !important; 
    backdrop-filter: blur(10px) !important;
}

.submenu a {
    color: #E41D20 !important;
    font-size: 2.3rem;
    padding: 10px 0 !important;
    text-decoration: none;
    text-align: right !important;
    display: block !important;
}

#offcanvasNavbar .custom-submenu .submenu a:hover,
#offcanvasNavbar .custom-submenu {
    background-color: transparent !important; 
    color: #232249 !important;          
}



/*SECCIÓN 1 SOBRE MI*/

.sobre-mi1 {
    padding-top: 11%;
    padding-bottom: 11%;
}

.foto-sobre-mi1 {
    display: flex; 
    justify-content: center; 
    align-items: center; 
}

.sobre-mi1 img {
    max-width: 55%;
}

.texto-sobre-mi1 {
    display: flex; 
    flex-direction: column;
    justify-content: center; 
}

.titulo-zara {
    font-size: 140px;
    color: #232249;
    margin-bottom: 8%;
    line-height: 1.1;
}

.soy-zara {
    padding-left: 9%;
}

.descripcion-zara {
    padding-left: 9%;
    margin-bottom: 7%; 
}

.descripcion-zara p {
    font-size: 22px; 
    color: #232249; 
    line-height: 1.8; 
    text-align: left; 
}



/*SECCION 2 HABILIDADES*/

.habilidades {
    background-color: #f9f4b5; 
    padding-top: 5%;
    padding-bottom: 5%;
}

.columnas-s2 {
    padding: 1%;
}

.parrafo-columna {
    font-size: 18.9px; 
    color: #232249; 
    line-height: 1.8; 
    text-align: left;   
}

.habilidades h2 {
    display: none;
}



/*SECCION 3 UBICACION, ESTILO, VER PORTAFOLIO*/

.seccion-final {
    padding-top: 11%;
}

.texto-ubicacion {
    margin-top: 25%;
    margin-left: 20%;
    font-weight: 400;
    font-size: 28px;
    color: #232249;
    padding-bottom: 1%;
}

.texto-especialidad {
    font-size: 28px;
    color: #232249;
    padding-bottom: 10%;
    margin-left: 20%;
    font-weight: 400;
}

.btn-ver-portafolio {
    background-color: #f38182;
    color: white;
    padding: 3% 7%;
    border: none;
    border-radius: 5px;
    font-size: 22px;
    width: fit-content;
    margin-left: 20%;
    transition: background-color 0.3s ease;
    font-weight: bold;
}

.btn-ver-portafolio:hover {
    background-color: #E41D20;
}

.seccion-final img {
    max-width: 88%;
}

.seccion-final h2 {
    display: none;
}


/*FOOTER*/

footer {
    width: 100%; 
    padding-top: 6%;
}

.footer-franja-amarilla {
    width: 100%;
    height: 20px; 
    background-color: #F4E729; 
}

.footer-franja-roja {
    width: 100%;
    height: 20px; 
    background-color: #E41D20;
}

.footer-contenido {
    width: 100%;
    background-color: #232249; 
    padding: 2% 0;
    color: white; 
}

.footer-copyright {
    margin-bottom: 0; 
    font-size: 23px; 
    padding-left: 5%;
    text-align: left;
}

.aviso-privacidad {
    margin-bottom: 0; 
    font-size: 18px; 
    padding-left: 5%;
    padding-top: 1%;
    text-align: left;
}

.aviso-privacidad a {
    color: #F4E729;
}

.footer-redes {
    padding-right: 2%;
    text-align: end;
}

.footer-icono {
    color: white;
    font-size: 55px;
    transition: color 0.3s ease;
    text-decoration: none;
    padding-right: 13%;
}

.footer-redes .footer-icono:hover {
    color: #F4E729; 
}




/*MEDIA QUERIES*/

@media (max-width: 1731px) { 
    .titulo-zara {
        font-size: 135px;
    }

    .soy-zara {
        padding-left: 7%;
    }

    .descripcion-zara p {
        font-size: 21px;  
    }

    .descripcion-zara {
        padding-left: 2%;
    }

}

@media (max-width: 1699px) {  
    .titulo-zara {
        font-size: 125px;
    }

    .soy-zara {
        padding-left: 7%;
    }

    .descripcion-zara p {
        font-size: 21px;  
    }

    .descripcion-zara {
        padding-left: 2%;
    }

    .columnas-s2 {
        padding: 2%;
    }

    .texto-ubicacion {
        font-size: 26px;
    }

    .texto-especialidad {
        font-size: 26px;
    }

}

@media (max-width: 1560px) {  
    .texto-ubicacion {
        font-size: 24px;
    }

    .texto-especialidad {
        font-size: 24px;
    }

    .btn-ver-portafolio {
        font-size: 21px;
    }
}

@media (max-width: 1545px) { 
    .titulo-zara {
        font-size: 115px;
    }

    .soy-zara {
        padding-left: 7%;
    }

    .descripcion-zara p {
        font-size: 20px;  
    }

    .descripcion-zara {
        padding-left: 2%;
    }

}

@media (max-width: 1500px) {  /*NAVBAR*/
    .offcanvas{
        width: 50% !important; 
    }
   
}

@media (max-width: 1433px) {  
    .titulo-zara {
        font-size: 95px;
    }

    .soy-zara {
        padding-left: 6%;
    }

    .descripcion-zara p {
        font-size: 20px;  
    }

    .descripcion-zara {
        padding-left: 2%;
    }

    .texto-ubicacion {
        font-size: 22px;
    }

    .texto-especialidad {
        font-size: 22px;
    }

    .btn-ver-portafolio {
        font-size: 21px;
    }

}

@media (max-width: 1350px) { /*NAVBAR*/
    .offcanvas{
        width: 60% !important; 
    }
   
    .titulo-zara {
        font-size: 80px;
    }

    .soy-zara {
        padding-left: 5%;
    }

    .descripcion-zara p {
        font-size: 20px;  
    }

    .descripcion-zara {
        padding-left: 2%;
    }

    .sobre-mi1 {
        padding-bottom: 6%;
    }
}

@media (max-width: 1270px) { /*NAVBAR*/
    .offcanvas{
        width: 60% !important; 
    }
}

@media (max-width: 1200px) { 
    .habilidades {
        padding-right: 12%;
        padding-left: 12%;
    }
    
    .parrafo-columna {
        font-size: 21px; 
        line-height: 1.8; 
        text-align: center;   
    }
}

@media (max-width: 1199px) {  
    .titulo-zara {
        font-size: 140px;
        text-align: center;
        padding-top: 5%;
    }

    .soy-zara {
        padding-left: 3%;
    }

    .descripcion-zara p {
        font-size: 22px;  
        text-align: center;
    }

    .descripcion-zara {
        padding-left: 19%;
        padding-right: 19%;
    }

    .seccion-final img {
        display: block; 
        margin-left: auto; 
        margin-right: auto; 
    }

    .texto-ubicacion {
        font-size: 33px;
        text-align: center;
        margin-left: 0;
        margin-top: 10%;
    }

    .texto-especialidad {
        font-size: 33px;
        text-align: center;
        margin-left: 0;
        padding-bottom: 4%;
    }

    .btn-ver-portafolio {
        font-size: 28px;
        margin-left: 0;
        align-self: center;
        padding: 2% 7%;
        margin-bottom: 2%;
    }
}

@media (max-width: 999px) {  
    .titulo-zara {
        font-size: 115px;
        text-align: center;
        padding-top: 5%;
    }

    .soy-zara {
        padding-left: 3%;
    }

    .descripcion-zara p {
        font-size: 21px;  
        text-align: center;
    }

    .descripcion-zara {
        padding-left: 17%;
        padding-right: 17%;
    }

    .texto-ubicacion {
        font-size: 28px;
        text-align: center;
        margin-left: 0;
        margin-top: 10%;
    }

    .texto-especialidad {
        font-size: 28px;
        text-align: center;
        margin-left: 0;
        padding-bottom: 4%;
    }

    .btn-ver-portafolio {
        font-size: 26px;
        margin-left: 0;
        align-self: center;
        padding: 1.5% 7%;
        margin-bottom: 2%;
    }

    .sobre-mi1 {
        padding-top: 15%;
    }
}

@media (max-width: 991px) {  /*FOOTER*/ /*NAVBAR*/
    .barras .navbar-toggler-icon {
        width: 2em; 
        height: 2em;
    }

    .logo {
        width: 130px;
    }

    .offcanvas-header .btn-close {
        font-size: 2rem;
        padding-left: 7%;
        margin: 0;
    }

    .footer-copyright {
        padding-left: 0%;
        text-align: center;
    }

    .aviso-privacidad {
        padding-left: 0%;
        text-align: center;
    }

    .footer-redes {
        padding-right: 0%; 
        text-align: center;
        padding-top: 2%;
    }

    .footer-icono {
        padding-right: 3%;
        font-size: 40px;
    }     
}

@media (max-width: 860px) { /*NAVBAR*/
    .offcanvas{
        width: 100% !important;
    }
   
    .offcanvas-body {          
        justify-content: center !important; 
        align-items: center !important;    
    }

    .custom-nav-link {
        font-size: 2.6rem;
        padding: 0.5rem 0;
    }

    .custom-nav-link.active {
        text-align: center !important; 
    }

    .custom-submenu {
        text-align: center;
    }

    .submenu li{ 
        text-align: center !important;
    }

    .submenu a {
        text-align: center !important;
        font-size: 1.5rem;
        padding: 3.5% 0 !important;
    }

    .titulo-zara {
        font-size: 95px;
        text-align: center;
        padding-top: 5%;
    }

    .soy-zara {
        padding-left: 3%;
    }

    .descripcion-zara p {
        font-size: 20px;  
        text-align: center;
    }

    .descripcion-zara {
        padding-left: 17%;
        padding-right: 17%;
    }

    .habilidades {
        padding-right: 11%;
        padding-left: 11%;
    }
    
    .parrafo-columna {
        font-size: 20px; 
        line-height: 1.8; 
        text-align: center;   
    }

    .texto-ubicacion {
        font-size: 25px;
        text-align: center;
        margin-left: 0;
        margin-top: 10%;
        padding-bottom: 0%;
    }

    .texto-especialidad {
        font-size: 25px;
        text-align: center;
        margin-left: 0;
        padding-bottom: 4%;
    }

    .btn-ver-portafolio {
        font-size: 24px;
        margin-left: 0;
        align-self: center;
        padding: 1.5% 7%;
        margin-bottom: 2%;
    }

    .sobre-mi1 {
        padding-top: 20%;
    }
}

@media (max-width: 699px) { /*FOOTER*/ /*NAVBAR*/
    .barras .navbar-toggler-icon {
        width: 1.5em; 
        height: 1.5em;
    }

    .logo {
        width: 90px;
    }

    .offcanvas-header .btn-close {
        font-size: 1.5rem;
        padding-left: 7%;
        margin: 0;
    }

    .titulo-zara {
        font-size: 75px;
        text-align: center;
        padding-top: 5%;
    }

    .soy-zara {
        padding-left: 3%;
    }

    .footer-copyright {
        font-size: 17px;
    }

    .aviso-privacidad {
        font-size: 13px;
    }

    .footer-redes {
        padding-right: 0%; 
        text-align: center;
        padding-top: 4%;
    }

    .footer-icono {
        font-size: 30px;
        padding-right: 3%;
    } 

    .habilidades {
        padding-right: 9%;
        padding-left: 9%;
    }
    
    .parrafo-columna {
        font-size: 19px; 
        line-height: 1.8; 
        text-align: center;   
    }

    .texto-ubicacion {
        font-size: 21px;
        text-align: center;
        margin-left: 0;
        margin-top: 10%;
        padding-bottom: 0%;
    }

    .texto-especialidad {
        font-size: 21px;
        text-align: center;
        margin-left: 0;
        padding-bottom: 3%;
    }

    .btn-ver-portafolio {
        font-size: 21px;
        margin-left: 0;
        align-self: center;
        padding: 1.5% 5%;
        margin-bottom: 2%;
    }
}

@media (max-width: 650px) { 
    .habilidades {
        padding-right: 12%;
        padding-left: 12%;
    }
    
    .parrafo-columna {
        font-size: 18.6px; 
        line-height: 1.8; 
        text-align: center;   
    }
}

@media (max-width: 550px) { 
    .titulo-zara {
        font-size: 50px;
        text-align: center;
        padding-top: 5%;
    }

    .soy-zara {
        padding-left: 3%;
    }
   
    .descripcion-zara p {
        font-size: 15px;  
        text-align: center;
    }

    .descripcion-zara {
        padding-left: 17%;
        padding-right: 17%;
    }

    .habilidades {
        padding-right: 14%;
        padding-left: 14%;
    }
    
    .parrafo-columna {
        font-size: 15px; 
        line-height: 1.8; 
        text-align: center;   
    }

    .texto-ubicacion {
        font-size: 18px;
        text-align: center;
        margin-left: 6%;
        margin-right: 6%;
        margin-top: 10%;
        padding-bottom: 0%;
    }

    .texto-especialidad {
        font-size: 18px;
        text-align: center;
        margin-left: 6%;
        margin-right: 6%;
        padding-bottom: 3%;
    }

    .btn-ver-portafolio {
        font-size: 18px;
        margin-left: 0;
        align-self: center;
        padding: 1.5% 4%;
        margin-bottom: 2%;
    }

    .sobre-mi1 {
        padding-top: 25%;
    }
}



















